*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from CTGCAD
*
* ****************************************************************
* *  Product:            KGW                                     *
* *  Version:            420                                     *
* *  Report:             CLIENT APPLICATION DETAILS              *
* *  Table:              CTGCAD                                  *
* *  Characteristics:    Filtered on origin node.                *
* ****************************************************************
* IDENT=zkgw.Client_Application_Details
* AFFINITY=0000000000000000000W00000000000008000000000;
* NAME=End to End
* USER=Tivoli
* DESC=Default Client Application Details Query
* TABLE=KGW.CTGCAD;
* COLUMNS=SYSTEMID,CTGNAME,SRCEIPADD,TRTOTAL,TRFAILED,TRSUCCESS;
* COLUMNS=TOTFLOW,FLOWCICS;
* COLUMNS=TRANRATE,MINWIRE,AVWIRE,MAXWIRE,MINRESP,AVRESP,MAXRESP;
* COLUMNS=MINPAYLOAD,AVPAYLOAD,MXPAYLOAD,AVREQDUR,AVTRANDUR;
* COLUMNS=AVRESPDUR,AVWAITTIME,MXWAITTIME;
* * Defined columns not returned in query
* * COLUMNS=ORIGINNODE;
* PRED=ORIGINNODE = $NODE$;

DELETE FROM KFWQUERY   WHERE ID       =
 'zkgw.Client_Application_Details';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zkgw.Client_Application_Details' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zkgw.Client_Application_Details' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zkgw.Client_Application_Details' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zkgw.Client_Application_Details' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.Client_Application_Details' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.Client_Application_Details' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.Client_Application_Details' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.Client_Application_Details' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.Client_Application_Details' AND NAME = 'Unavailable';
DELETE FROM KFWTMPL WHERE NAME     =
 'zkgw.Client_Application_Details';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'zkgw.Client_Application_Details',
  'KGW',
  '0000000000000000000W00000000000008000000000',
  'D',
  'End to End',
  'Default Client Application Details Query',
  'Tivoli',
  '1090924155639000',
'at=$THRUNODE$@table1.name=CTGCAD@table1.column1.name=SYSTEMID@table1.column2.name=CTGNAME@table1.column3.name=SRCEIPADD@table1.column4.name=TRTOTAL@table1.column5.name=TRFAILED@table1.column6.name=TRSUCCESS@table1.column7.name=TOTFLOW@table1.column8.name=FLOWCICS@table1.column9.name=TRANRATE@table1.column10.name=MINWIRE@table1.column11.name=AVWIRE@table1.column12.name=MAXWIRE@table1.column13.name=MINRESP@table1.column14.name=AVRESP@table1.column15.name=MAXRESP@table1.column16.name=MINPAYLOAD@table1.column17.name=AVPAYLOAD@table1.column18.name=MXPAYLOAD@table1.column19.name=AVREQDUR@table1.column20.name=AVTRANDUR@table1.column21.name=AVRESPDUR@table1.column22.name=AVWAITTIME@table1.column23.name=MXWAITTIME@table1.columnCount=23@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0000000000000000000W00000000000008000000000',
   32,
   259,
   '1090924155639000',
   '_ KCJ',
   'zkgw.Client_Application_Details',
   'End to End'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.Client_Application_Details',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.Client_Application_Details',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.Client_Application_Details',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.Client_Application_Details',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.Client_Application_Details',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'zkgw.Client_Application_Details',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'zkgw.Client_Application_Details',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'zkgw.Client_Application_Details',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'zkgw.Client_Application_Details',
   256
);

*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from CTGCMS
*
* ****************************************************************  
* *  Product:            KGW                                     *  
* *  Version:            410                                     *  
* *  Report:             CONNECTION MANAGER THREADS              *
* *  Table:              CTGCMS                                  *  
* *  Characteristics:    Filtered on origin node.                *  
* ****************************************************************  
* IDENT=zkgw.Connection_Manager_Threads
* AFFINITY=0000000000000000000W00000000000001000000000;
* NAME=Gateway Daemon Resources
* USER=Tivoli
* NODETYPE=CICSTG;
* DESC=Default Connection Manager Threads Query
* TABLE=KGW.CTGCMS;
* COLUMNS=SYSTEMID,CTGNAME,SMAX,CCURR,CALLOC,RATCURMAX,CWAITING;
* COLUMNS=LTIMEOUTS,RATETIMEOU,SINIT,PERCWAIT;
* * Defined columns not returned in query
* * COLUMNS=ORIGINNODE;
* PRED=ORIGINNODE = $NODE$;
* SITNAME=CICSTG_ConnWait_Warning Warning
* SITNAME=CICSTG_ConnTimeout_Warning Warning
* SITNAME=CICSTG_WorkerTimeout_Warning Warning
* SITNAME=CICSTG_ConnAlloc_Warning Warning
* SITNAME=CICSTG_WorkerAlloc_Warning Warning


DELETE FROM KFWQUERY   WHERE ID       =
 'zkgw.Connection_Manager_Threads';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'CICSTG_ConnWait_Warning' AND 
 TEMPLATE = 'zkgw.Connection_Manager_Threads';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'CICSTG_ConnTimeout_Warning' AND 
 TEMPLATE = 'zkgw.Connection_Manager_Threads';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'CICSTG_WorkerTimeout_Warning' AND 
 TEMPLATE = 'zkgw.Connection_Manager_Threads';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'CICSTG_ConnAlloc_Warning' AND 
 TEMPLATE = 'zkgw.Connection_Manager_Threads';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'CICSTG_WorkerAlloc_Warning' AND 
 TEMPLATE = 'zkgw.Connection_Manager_Threads';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zkgw.Connection_Manager_Threads' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zkgw.Connection_Manager_Threads' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zkgw.Connection_Manager_Threads' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zkgw.Connection_Manager_Threads' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.Connection_Manager_Threads' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.Connection_Manager_Threads' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.Connection_Manager_Threads' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.Connection_Manager_Threads' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.Connection_Manager_Threads' AND NAME = 'Unavailable';
DELETE FROM KFWTMPL WHERE NAME     =
 'zkgw.Connection_Manager_Threads';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'zkgw.Connection_Manager_Threads',
  'KGW',
  '0000000000000000000W00000000000001000000000',
  'D',
  'Gateway Daemon Resources',
  'Default Connection Manager Threads Query',
  'Tivoli',
  '1090924155639000',
'at=$THRUNODE$@table1.name=CTGCMS@table1.column1.name=SYSTEMID@table1.column2.name=CTGNAME@table1.column3.name=SMAX@table1.column4.name=CCURR@table1.column5.name=CALLOC@table1.column6.name=RATCURMAX@table1.column7.name=CWAITING@table1.column8.name=LTIMEOUTS@table1.column9.name=RATETIMEOU@table1.column10.name=SINIT@table1.column11.name=PERCWAIT@table1.columnCount=11@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@nodeTypeCount=1@nodeType1=CICSTG@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0000000000000000000W00000000000001000000000',
   32,
   259,
   '1090924155639000',
   '_ KCJ',
   'zkgw.Connection_Manager_Threads',
   'Gateway Daemon Resources'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.Connection_Manager_Threads',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.Connection_Manager_Threads',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.Connection_Manager_Threads',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.Connection_Manager_Threads',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.Connection_Manager_Threads',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'zkgw.Connection_Manager_Threads',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'zkgw.Connection_Manager_Threads',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'zkgw.Connection_Manager_Threads',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'zkgw.Connection_Manager_Threads',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'CICSTG_ConnWait_Warning',
   'Warning',
   'zkgw.Connection_Manager_Threads',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'CICSTG_ConnTimeout_Warning',
   'Warning',
   'zkgw.Connection_Manager_Threads',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'CICSTG_WorkerTimeout_Warning',
   'Warning',
   'zkgw.Connection_Manager_Threads',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'CICSTG_ConnAlloc_Warning',
   'Warning',
   'zkgw.Connection_Manager_Threads',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'CICSTG_WorkerAlloc_Warning',
   'Warning',
   'zkgw.Connection_Manager_Threads',
   0
);

*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from CTGCSD
*
* ****************************************************************  
* *  Product:            KGW                                     *  
* *  Version:            410                                     *  
* *  Report:             CICS SERVER DETAILS                     *
* *  Table:              CTGCSD                                  *  
* *  Characteristics:    Filtered on origin node.                *  
* ****************************************************************  
* IDENT=zkgw.CICS_Server_Details
* AFFINITY=0000000000000000000W00000000000001000000000;
* NAME=CICS TS Region Details
* USER=Tivoli
* DESC=Default CICS TS Region Details Query
* TABLE=KGW.CTGCSD;
* VISIBLE=N
* COLUMNS=SYSTEMID,CTGNAME,LALLREQ,CPIPES,LALLOCFAIL,PERCREQ,PERCPIPE;
* COLUMNS=RATEREQ,RATEFAIL,CICSAPPL,CICSJOBN;
* * Defined columns not returned in query
* * COLUMNS=ORIGINNODE;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND CICSAPPL  = $APPLID$;


DELETE FROM KFWQUERY   WHERE ID       =
 'zkgw.CICS_Server_Details';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'zkgw.CICS_Server_Details',
  'KGW',
  '0000000000000000000W00000000000001000000000',
  'P',
  'CICS TS Region Details',
  'Default CICS TS Region Details Query',
  'Tivoli',
  '1090924155639000',
'at=$THRUNODE$@table1.name=CTGCSD@table1.column1.name=SYSTEMID@table1.column2.name=CTGNAME@table1.column3.name=LALLREQ@table1.column4.name=CPIPES@table1.column5.name=LALLOCFAIL@table1.column6.name=PERCREQ@table1.column7.name=PERCPIPE@table1.column8.name=RATEREQ@table1.column9.name=RATEFAIL@table1.column10.name=CICSAPPL@table1.column11.name=CICSJOBN@table1.columnCount=11@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=CICSAPPL@filter2.operator=EQ@filter2.value=$APPLID$@filterCount=2@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from CTGCSS
*
* ****************************************************************  
* *  Product:            KGW                                     *  
* *  Version:            410                                     *  
* *  Report:             CICS SERVER SUMMARY                     *                               
* *  Table:              CICSCSS                                 *  
* *  Characteristics:    Filtered on origin node.                *  
* ****************************************************************  
* IDENT=zkgw.CICS_Server_Summary
* AFFINITY=0000000000000000000W00000000000001000000000;
* NAME=CICS TS Regions
* USER=Tivoli
* NODETYPE=CICSTG;
* DESC=Default CICS TS Regions Summary Query
* TABLE=KGW.CTGCSS;
* COLUMNS=SYSTEMID,CTGNAME,CALLOC,LCOUNT,LALLREQ,RATEREQ,SLOGONLIM;
* COLUMNS=LREALLOC,LALLOCFAIL,RATEALFAIL,LCOMMSFAIL,RATECOFAIL,FREEPIPE;
* COLUMNS=SNETNAME;
* * Defined columns not returned in query
* * COLUMNS=ORIGINNODE;
* PRED=ORIGINNODE = $NODE$;
* SITNAME=CICSTG_PipeAlloc_Warning Warning
* SITNAME=CICSTG_CommFailure_Warning Warning
* SITNAME=CICSTG_Freepipe_Warning Warning


DELETE FROM KFWQUERY   WHERE ID       =
 'zkgw.CICS_Server_Summary';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'CICSTG_PipeAlloc_Warning' AND 
 TEMPLATE = 'zkgw.CICS_Server_Summary';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'CICSTG_CommFailure_Warning' AND 
 TEMPLATE = 'zkgw.CICS_Server_Summary';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'CICSTG_Freepipe_Warning' AND 
 TEMPLATE = 'zkgw.CICS_Server_Summary';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zkgw.CICS_Server_Summary' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zkgw.CICS_Server_Summary' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zkgw.CICS_Server_Summary' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zkgw.CICS_Server_Summary' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.CICS_Server_Summary' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.CICS_Server_Summary' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.CICS_Server_Summary' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.CICS_Server_Summary' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.CICS_Server_Summary' AND NAME = 'Unavailable';
DELETE FROM KFWTMPL WHERE NAME     =
 'zkgw.CICS_Server_Summary';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'zkgw.CICS_Server_Summary',
  'KGW',
  '0000000000000000000W00000000000001000000000',
  'D',
  'CICS TS Regions',
  'Default CICS TS Regions Summary Query',
  'Tivoli',
  '1090924155639000',
'at=$THRUNODE$@table1.name=CTGCSS@table1.column1.name=SYSTEMID@table1.column2.name=CTGNAME@table1.column3.name=CALLOC@table1.column4.name=LCOUNT@table1.column5.name=LALLREQ@table1.column6.name=RATEREQ@table1.column7.name=SLOGONLIM@table1.column8.name=LREALLOC@table1.column9.name=LALLOCFAIL@table1.column10.name=RATEALFAIL@table1.column11.name=LCOMMSFAIL@table1.column12.name=RATECOFAIL@table1.column13.name=FREEPIPE@table1.column14.name=SNETNAME@table1.columnCount=14@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@nodeTypeCount=1@nodeType1=CICSTG@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0000000000000000000W00000000000001000000000',
   32,
   259,
   '1090924155639000',
   '_ KCJ',
   'zkgw.CICS_Server_Summary',
   'CICS TS Regions'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.CICS_Server_Summary',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.CICS_Server_Summary',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.CICS_Server_Summary',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.CICS_Server_Summary',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.CICS_Server_Summary',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'zkgw.CICS_Server_Summary',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'zkgw.CICS_Server_Summary',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'zkgw.CICS_Server_Summary',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'zkgw.CICS_Server_Summary',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'CICSTG_PipeAlloc_Warning',
   'Warning',
   'zkgw.CICS_Server_Summary',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'CICSTG_CommFailure_Warning',
   'Warning',
   'zkgw.CICS_Server_Summary',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'CICSTG_Freepipe_Warning',
   'Warning',
   'zkgw.CICS_Server_Summary',
   0
);

*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from CTGDSD
*
* ****************************************************************
* *  Product:            KGW                                     *
* *  Version:            420                                     *
* *  Report:             DESTINATION SERVERS DETAILS             *
* *  Table:              CTGDSD                                  *
* *  Characteristics:    Filtered on origin node.                *
* ****************************************************************
* IDENT=zkgw.Destination_Servers_Details
* AFFINITY=0000000000000000000W00000000000008000000000;
* NAME=Destination Servers Details
* USER=Tivoli
* VISIBLE=N;
* DESC=Default Destination Servers Details Query
* TABLE=KGW.CTGDSD;
* COLUMNS=SYSTEMID,CTGNAME,SERVER,TRTOTAL,TRFAILED,TRSUCCESS;
* COLUMNS=TOTFLOW,FLOWCICS;
* COLUMNS=TRANRATE,MINWIRE,AVWIRE,MAXWIRE,MINRESP,AVRESP,MAXRESP;
* COLUMNS=MINPAYLOAD,AVPAYLOAD,MXPAYLOAD,AVREQDUR,AVTRANDUR;
* COLUMNS=AVRESPDUR,AVWAITTIME,MXWAITTIME;
* * Defined columns not returned in query
* * COLUMNS=ORIGINNODE;
* PRED=ORIGINNODE = $NODE$;

DELETE FROM KFWQUERY   WHERE ID       =
 'zkgw.Destination_Servers_Details';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'zkgw.Destination_Servers_Details',
  'KGW',
  '0000000000000000000W00000000000008000000000',
  'P',
  'Destination Servers Details',
  'Default Destination Servers Details Query',
  'Tivoli',
  '1090924155639000',
'at=$THRUNODE$@table1.name=CTGDSD@table1.column1.name=SYSTEMID@table1.column2.name=CTGNAME@table1.column3.name=SERVER@table1.column4.name=TRTOTAL@table1.column5.name=TRFAILED@table1.column6.name=TRSUCCESS@table1.column7.name=TOTFLOW@table1.column8.name=FLOWCICS@table1.column9.name=TRANRATE@table1.column10.name=MINWIRE@table1.column11.name=AVWIRE@table1.column12.name=MAXWIRE@table1.column13.name=MINRESP@table1.column14.name=AVRESP@table1.column15.name=MAXRESP@table1.column16.name=MINPAYLOAD@table1.column17.name=AVPAYLOAD@table1.column18.name=MXPAYLOAD@table1.column19.name=AVREQDUR@table1.column20.name=AVTRANDUR@table1.column21.name=AVRESPDUR@table1.column22.name=AVWAITTIME@table1.column23.name=MXWAITTIME@table1.columnCount=23@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from CTGFLO
*
* ****************************************************************
* *  Product:            KGW                                     *
* *  Version:            420                                     *
* *  Report:             TRANSACTION FLOW TRACE                  *
* *  Table:              CTGFLO                                  *
* *  Characteristics:    Filtered on origin node.                *
* ****************************************************************
* IDENT=zkgw.Transaction_Flow_Trace
* AFFINITY=0000000000000000000W00000000000008000000000;
* NAME=Transaction Flow Trace
* USER=Tivoli
* VISIBLE=N;
* DESC=Default Transaction Flow Trace Query
* TABLE=KGW.CTGFLO;
* COLUMNS=SYSTEMID,CTGNAME,SERVER,CTGAPPLID,CTGAPLHLQ,CLNTCTGAPL;
* COLUMNS=CLNTCTGHLQ,FLOWELAPSD,CICSAC,CICSRC,CTGRC,XARC;
* COLUMNS=PROGNAME,TRANID,USERID,WIRESIZE,PAYLOAD,WAITTIME;
* COLUMNS=REQARR,REQDEP,RESPARR,RESPDEP,METHOD,TYPE,STATUS;
* COLUMNS=FLOWTOPO,FLOWTYPE,CLIENTLOC,MONLOC,GATEURL,CTGCORR;
* COLUMNS=CLNTCTGCOR;
* * Defined columns not returned in query
* * COLUMNS=ORIGINNODE;
* PRED=ORIGINNODE = $NODE$;
* PARMS="CORR","$CORRCHR$",9;
* DEFPARM=SYSTEM.PARMA("CORR","$CORRCHR$",9)

DELETE FROM KFWQUERY   WHERE ID       =
 'zkgw.Transaction_Flow_Trace';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'zkgw.Transaction_Flow_Trace',
  'KGW',
  '0000000000000000000W00000000000008000000000',
  'P',
  'Transaction Flow Trace',
  'Default Transaction Flow Trace Query',
  'Tivoli',
  '1090924155639000',
'at=$THRUNODE$@table1.name=CTGFLO@table1.column1.name=SYSTEMID@table1.column2.name=CTGNAME@table1.column3.name=SERVER@table1.column4.name=CTGAPPLID@table1.column5.name=CTGAPLHLQ@table1.column6.name=CLNTCTGAPL@table1.column7.name=CLNTCTGHLQ@table1.column8.name=FLOWELAPSD@table1.column9.name=CICSAC@table1.column10.name=CICSRC@table1.column11.name=CTGRC@table1.column12.name=XARC@table1.column13.name=PROGNAME@table1.column14.name=TRANID@table1.column15.name=USERID@table1.column16.name=WIRESIZE@table1.column17.name=PAYLOAD@table1.column18.name=WAITTIME@table1.column19.name=REQARR@table1.column20.name=REQDEP@table1.column21.name=RESPARR@table1.column22.name=RESPDEP@table1.column23.name=METHOD@table1.column24.name=TYPE@table1.column25.name=STATUS@table1.column26.name=FLOWTOPO@table1.column27.name=FLOWTYPE@table1.column28.name=CLIENTLOC@table1.column29.name=MONLOC@table1.column30.name=GATEURL@table1.column31.name=CTGCORR@table1.column32.name=CLNTCTGCOR@table1.columnCount=32@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@parma1.value="CORR","$CORRCHR$",9@parmaCount=1@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');


DELETE FROM KFWPARMA WHERE TABLENAME = 'KGW.CTGFLO';

INSERT INTO KFWPARMA ( TABLENAME, PARMA) VALUES ('KGW.CTGFLO',
'SYSTEM.PARMA("CORR","$CORRCHR$",9)');


*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from CTGGDS
*
* ****************************************************************  
* *  Product:            KGW                                     *  
* *  Version:            410                                     *  
* *  Report:             GATEWAY DAEMON                          *
* *  Table:              CTGGDS                                  *  
* *  Characteristics:    Filtered on origin node.                *  
* ****************************************************************  
* IDENT=zkgw.Gateway_Daemon
* AFFINITY=0000000000000000000W00000000000001000000000;
* NAME=Transaction Analysis
* USER=Tivoli
* NODETYPE=CICSTG;
* DESC=Default Gateway Daemon Query
* TABLE=KGW.CTGGDS;
* COLUMNS=SYSTEMID,CTGNAME,LALLREQ,LXATXNC,LXATXNR,PERCXAT;
* COLUMNS=RATEXAT,PERCXAC,PERCXAR,LLUWTXNC,LLUWTXNR,PERCLUWT,RATELUWT;
* COLUMNS=PERCLUWC,PERCLUWR,LSYNCTXN,PERCSYNC,RATESYNC,SPORTSSL,SPORTTCP;
* * Defined columns not returned in query
* * COLUMNS=ORIGINNODE;
* PRED=ORIGINNODE = $NODE$;
* SITNAME=CICSTG_RollbackLUW_Warning Warning
* SITNAME=CICSTG_RollbackLUW_Critical Critical
* SITNAME=CICSTG_RollbackXA_Warning Warning
* SITNAME=CICSTG_RollbackXA_Critical Critical


DELETE FROM KFWQUERY   WHERE ID       =
 'zkgw.Gateway_Daemon';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'CICSTG_RollbackLUW_Warning' AND 
 TEMPLATE = 'zkgw.Gateway_Daemon';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'CICSTG_RollbackLUW_Critical' AND 
 TEMPLATE = 'zkgw.Gateway_Daemon';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'CICSTG_RollbackXA_Warning' AND 
 TEMPLATE = 'zkgw.Gateway_Daemon';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'CICSTG_RollbackXA_Critical' AND 
 TEMPLATE = 'zkgw.Gateway_Daemon';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zkgw.Gateway_Daemon' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zkgw.Gateway_Daemon' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zkgw.Gateway_Daemon' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zkgw.Gateway_Daemon' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.Gateway_Daemon' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.Gateway_Daemon' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.Gateway_Daemon' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.Gateway_Daemon' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.Gateway_Daemon' AND NAME = 'Unavailable';
DELETE FROM KFWTMPL WHERE NAME     =
 'zkgw.Gateway_Daemon';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'zkgw.Gateway_Daemon',
  'KGW',
  '0000000000000000000W00000000000001000000000',
  'D',
  'Transaction Analysis',
  'Default Gateway Daemon Query',
  'Tivoli',
  '1090924155639000',
'at=$THRUNODE$@table1.name=CTGGDS@table1.column1.name=SYSTEMID@table1.column2.name=CTGNAME@table1.column3.name=LALLREQ@table1.column4.name=LXATXNC@table1.column5.name=LXATXNR@table1.column6.name=PERCXAT@table1.column7.name=RATEXAT@table1.column8.name=PERCXAC@table1.column9.name=PERCXAR@table1.column10.name=LLUWTXNC@table1.column11.name=LLUWTXNR@table1.column12.name=PERCLUWT@table1.column13.name=RATELUWT@table1.column14.name=PERCLUWC@table1.column15.name=PERCLUWR@table1.column16.name=LSYNCTXN@table1.column17.name=PERCSYNC@table1.column18.name=RATESYNC@table1.column19.name=SPORTSSL@table1.column20.name=SPORTTCP@table1.columnCount=20@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@nodeTypeCount=1@nodeType1=CICSTG@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0000000000000000000W00000000000001000000000',
   32,
   259,
   '1090924155639000',
   '_ KCJ',
   'zkgw.Gateway_Daemon',
   'Transaction Analysis'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.Gateway_Daemon',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.Gateway_Daemon',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.Gateway_Daemon',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.Gateway_Daemon',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.Gateway_Daemon',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'zkgw.Gateway_Daemon',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'zkgw.Gateway_Daemon',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'zkgw.Gateway_Daemon',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'zkgw.Gateway_Daemon',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'CICSTG_RollbackLUW_Warning',
   'Warning',
   'zkgw.Gateway_Daemon',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'CICSTG_RollbackLUW_Critical',
   'Critical',
   'zkgw.Gateway_Daemon',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'CICSTG_RollbackXA_Warning',
   'Warning',
   'zkgw.Gateway_Daemon',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'CICSTG_RollbackXA_Critical',
   'Critical',
   'zkgw.Gateway_Daemon',
   0
);

*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from CTGROV
*
* ****************************************************************  
* *  Product:            KGW                                     *  
* *  Version:            410                                     *  
* *  Report:             REGION OVERVIEW                         *
* *  Table:              CTGROV                                  *  
* *  Characteristics:    Filtered on origin node.                *  
* ****************************************************************  
* IDENT=zkgw.Region_Overview
* AFFINITY=0000000000000000000W00000000000001000000000;
* NAME=Region Overview
* USER=Tivoli
* DESC=Default Region Overview Query
* TABLE=KGW.CTGROV;
* VISIBLE=N
* COLUMNS=SYSTEMID,CTGNAME,STARTTIME,TOTCPUTIME,IOCOUNT,TOTCPURATE;
* COLUMNS=IORATE,SSLPORT,TCPPORT,HEALTH,REQUESTS,REQRATE,USERID;
* COLUMNS=REGIONTYPE,ASID,CSTATUS,SVER,LRUNTIME;
* * Defined columns not returned in query
* * COLUMNS=ORIGINNODE;
* PRED=ORIGINNODE = $NODE$;
* SITNAME=CICSTG_Health_Warning Warning
* SITNAME=CICSTG_Health_Critical Critical
* SITNAME=CICSTG_Status_Warning Warning


DELETE FROM KFWQUERY   WHERE ID       =
 'zkgw.Region_Overview';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'CICSTG_Health_Warning' AND 
 TEMPLATE = 'KFW_NODE';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'CICSTG_Health_Critical' AND 
 TEMPLATE = 'KFW_NODE';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'CICSTG_Status_Warning' AND 
 TEMPLATE = 'KFW_NODE';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'zkgw.Region_Overview',
  'KGW',
  '0000000000000000000W00000000000001000000000',
  'P',
  'Region Overview',
  'Default Region Overview Query',
  'Tivoli',
  '1090924155639000',
'at=$THRUNODE$@table1.name=CTGROV@table1.column1.name=SYSTEMID@table1.column2.name=CTGNAME@table1.column3.name=STARTTIME@table1.column4.name=TOTCPUTIME@table1.column5.name=IOCOUNT@table1.column6.name=TOTCPURATE@table1.column7.name=IORATE@table1.column8.name=SSLPORT@table1.column9.name=TCPPORT@table1.column10.name=HEALTH@table1.column11.name=REQUESTS@table1.column12.name=REQRATE@table1.column13.name=USERID@table1.column14.name=REGIONTYPE@table1.column15.name=ASID@table1.column16.name=CSTATUS@table1.column17.name=SVER@table1.column18.name=LRUNTIME@table1.columnCount=18@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'CICSTG_Health_Warning',
   'Warning',
   'KFW_NODE',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'CICSTG_Health_Critical',
   'Critical',
   'KFW_NODE',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'CICSTG_Status_Warning',
   'Warning',
   'KFW_NODE',
   0
);

*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from CTGRTD
*
* ****************************************************************
* *  Product:            KGW                                     *
* *  Version:            420                                     *
* *  Report:             TRANSACTION RESPONSE TIME DETAIL        *
* *  Table:              CTGRTD                                  *
* *  Characteristics:    Filtered on origin node.                *
* ****************************************************************
* IDENT=zkgw.Tran_Response_Time_Detail
* AFFINITY=0000000000000000000W00000000000008000000000;
* NAME=Response Time Analysis
* USER=Tivoli
* DESC=Default Transaction Response Time Detail Query
* TABLE=KGW.CTGRTD;
* COLUMNS=SYSTEMID,CTGNAME,METHOD,TYPE,STATUS,TRTOTAL,TRFAILED;
* COLUMNS=TRSUCCESS,TOTFLOW,FLOWCICS;
* COLUMNS=TRANRATE,MINWIRE,AVWIRE,MAXWIRE,MINRESP;
* COLUMNS=AVRESP,MAXRESP,MINPAYLOAD,AVPAYLOAD,MXPAYLOAD,AVREQDUR;
* COLUMNS=AVTRANDUR,AVRESPDUR,AVWAITTIME,MXWAITTIME;
* * Defined columns not returned in query
* * COLUMNS=ORIGINNODE;
* PRED=ORIGINNODE = $NODE$;

DELETE FROM KFWQUERY   WHERE ID       =
 'zkgw.Tran_Response_Time_Detail';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zkgw.Tran_Response_Time_Detail' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zkgw.Tran_Response_Time_Detail' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zkgw.Tran_Response_Time_Detail' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zkgw.Tran_Response_Time_Detail' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.Tran_Response_Time_Detail' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.Tran_Response_Time_Detail' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.Tran_Response_Time_Detail' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.Tran_Response_Time_Detail' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.Tran_Response_Time_Detail' AND NAME = 'Unavailable';
DELETE FROM KFWTMPL WHERE NAME     =
 'zkgw.Tran_Response_Time_Detail';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'zkgw.Tran_Response_Time_Detail',
  'KGW',
  '0000000000000000000W00000000000008000000000',
  'D',
  'Response Time Analysis',
  'Default Transaction Response Time Detail Query',
  'Tivoli',
  '1090924155639000',
'at=$THRUNODE$@table1.name=CTGRTD@table1.column1.name=SYSTEMID@table1.column2.name=CTGNAME@table1.column3.name=METHOD@table1.column4.name=TYPE@table1.column5.name=STATUS@table1.column6.name=TRTOTAL@table1.column7.name=TRFAILED@table1.column8.name=TRSUCCESS@table1.column9.name=TOTFLOW@table1.column10.name=FLOWCICS@table1.column11.name=TRANRATE@table1.column12.name=MINWIRE@table1.column13.name=AVWIRE@table1.column14.name=MAXWIRE@table1.column15.name=MINRESP@table1.column16.name=AVRESP@table1.column17.name=MAXRESP@table1.column18.name=MINPAYLOAD@table1.column19.name=AVPAYLOAD@table1.column20.name=MXPAYLOAD@table1.column21.name=AVREQDUR@table1.column22.name=AVTRANDUR@table1.column23.name=AVRESPDUR@table1.column24.name=AVWAITTIME@table1.column25.name=MXWAITTIME@table1.columnCount=25@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0000000000000000000W00000000000008000000000',
   32,
   259,
   '1090924155639000',
   '_ KCJ',
   'zkgw.Tran_Response_Time_Detail',
   'Response Time Analysis'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.Tran_Response_Time_Detail',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.Tran_Response_Time_Detail',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.Tran_Response_Time_Detail',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.Tran_Response_Time_Detail',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.Tran_Response_Time_Detail',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'zkgw.Tran_Response_Time_Detail',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'zkgw.Tran_Response_Time_Detail',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'zkgw.Tran_Response_Time_Detail',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'zkgw.Tran_Response_Time_Detail',
   256
);

*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from CTGRTS
*
* ****************************************************************
* *  Product:            KGW                                     *
* *  Version:            420                                     *
* *  Report:             TRANSACTION RESPONSE TIME SUMMARY       *
* *  Table:              CTGRTS                                  *
* *  Characteristics:    Filtered on origin node.                *
* ****************************************************************
* IDENT=zkgw.Tran_Response_Time_Summary
* AFFINITY=0000000000000000000W00000000000008000000000;
* NAME=Transaction Response Time Summary
* USER=Tivoli
* VISIBLE=N;
* DESC=Default Transaction Response Time Summary Query
* TABLE=KGW.CTGRTS;
* COLUMNS=SYSTEMID,CTGNAME,CICSRGNCT,JCLIENTCT,TRTOTAL,TRFAILED;
* COLUMNS=TRSUCCESS,TRANRATE,MINWIRE,AVWIRE,MAXWIRE,MINRESP;
* COLUMNS=AVRESP,MAXRESP,MINPAYLOAD,AVPAYLOAD,MXPAYLOAD,AVREQDUR;
* COLUMNS=AVTRANDUR,AVRESPDUR,AVWAITTIME,MXWAITTIME;
* * Defined columns not returned in query
* * COLUMNS=ORIGINNODE;
* PRED=ORIGINNODE = $NODE$;

DELETE FROM KFWQUERY   WHERE ID       =
 'zkgw.Tran_Response_Time_Summary';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'zkgw.Tran_Response_Time_Summary',
  'KGW',
  '0000000000000000000W00000000000008000000000',
  'P',
  'Transaction Response Time Summary',
  'Default Transaction Response Time Summary Query',
  'Tivoli',
  '1090924155639000',
'at=$THRUNODE$@table1.name=CTGRTS@table1.column1.name=SYSTEMID@table1.column2.name=CTGNAME@table1.column3.name=CICSRGNCT@table1.column4.name=JCLIENTCT@table1.column5.name=TRTOTAL@table1.column6.name=TRFAILED@table1.column7.name=TRSUCCESS@table1.column8.name=TRANRATE@table1.column9.name=MINWIRE@table1.column10.name=AVWIRE@table1.column11.name=MAXWIRE@table1.column12.name=MINRESP@table1.column13.name=AVRESP@table1.column14.name=MAXRESP@table1.column15.name=MINPAYLOAD@table1.column16.name=AVPAYLOAD@table1.column17.name=MXPAYLOAD@table1.column18.name=AVREQDUR@table1.column19.name=AVTRANDUR@table1.column20.name=AVRESPDUR@table1.column21.name=AVWAITTIME@table1.column22.name=MXWAITTIME@table1.columnCount=22@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from CTGTRA
*
* ****************************************************************
* *  Product:            KGW                                     *
* *  Version:            420                                     *
* *  Report:             ACTIVE TRANSACTION ANALYSIS             *
* *  Table:              CTGTRA                                  *
* *  Characteristics:    Filtered on origin node.                *
* ****************************************************************
* IDENT=zkgw.Active_Transaction_Analysis
* AFFINITY=0000000000000000000W00000000000008000000000;
* NAME=Active Transaction Analysis
* USER=Tivoli
* VISIBLE=N;
* DESC=Default Active Transaction Analysis Query
* TABLE=KGW.CTGTRA;
* COLUMNS=SYSTEMID,CTGNAME,TRANCOUNT,FAILEDTRNS,MINELAPSED;
* COLUMNS=AVGELAPSED,MAXELAPSED,MINWIRE,AVGWIRE,MAXWIRE;
* COLUMNS=MINPAYLOAD,AVGPAYLOAD,MAXPAYLOAD;
* * Defined columns not returned in query
* * COLUMNS=ORIGINNODE;
* PRED=ORIGINNODE = $NODE$;

DELETE FROM KFWQUERY   WHERE ID       =
 'zkgw.Active_Transaction_Analysis';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'zkgw.Active_Transaction_Analysis',
  'KGW',
  '0000000000000000000W00000000000008000000000',
  'P',
  'Active Transaction Analysis',
  'Default Active Transaction Analysis Query',
  'Tivoli',
  '1090924155639000',
'at=$THRUNODE$@table1.name=CTGTRA@table1.column1.name=SYSTEMID@table1.column2.name=CTGNAME@table1.column3.name=TRANCOUNT@table1.column4.name=FAILEDTRNS@table1.column5.name=MINELAPSED@table1.column6.name=AVGELAPSED@table1.column7.name=MAXELAPSED@table1.column8.name=MINWIRE@table1.column9.name=AVGWIRE@table1.column10.name=MAXWIRE@table1.column11.name=MINPAYLOAD@table1.column12.name=AVGPAYLOAD@table1.column13.name=MAXPAYLOAD@table1.columnCount=13@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from CTGTRD
*
* ****************************************************************
* *  Product:            KGW                                     *
* *  Version:            420                                     *
* *  Report:             ACTIVE TRANSACTION DETAILS              *
* *  Table:              CTGTRD                                  *
* *  Characteristics:    Filtered on origin node.                *
* ****************************************************************
* IDENT=zkgw.Active_Transaction_Details
* AFFINITY=0000000000000000000W00000000000008000000000;
* NAME=Active Transactions
* USER=Tivoli
* DESC=Default Active Transaction Details Query
* TABLE=KGW.CTGTRD;
* COLUMNS=SYSTEMID,CTGNAME,SERVER,CTGAPPLID,CTGAPLHLQ,CLNTCTGAPL;
* COLUMNS=CLNTCTGHLQ,TRELAPSEDT,REQINTG,TOUTSIDETG,RESPINTG,CICSAC;
* COLUMNS=CICSRC,CTGRC,XARC,PROGNAME,TRANID,USERID,WIRESIZE,PAYLOAD;
* COLUMNS=WAITTIME,REQARR,REQDEP,RESPARR,RESPDEP,FLOWCOUNT,METHOD,TYPE;
* COLUMNS=STATUS,TOPOLOGY,CLIENTLOC,MONLOC,GATEURL,CTGCORR,CLNTCTGCOR;
* * Defined columns not returned in query
* * COLUMNS=ORIGINNODE;
* PRED=ORIGINNODE = $NODE$;
* PRED=AND CTGCORR = $TRANCORR$;


DELETE FROM KFWQUERY   WHERE ID       =
 'zkgw.Active_Transaction_Details';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zkgw.Active_Transaction_Details' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zkgw.Active_Transaction_Details' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zkgw.Active_Transaction_Details' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'zkgw.Active_Transaction_Details' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.Active_Transaction_Details' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.Active_Transaction_Details' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.Active_Transaction_Details' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.Active_Transaction_Details' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'zkgw.Active_Transaction_Details' AND NAME = 'Unavailable';
DELETE FROM KFWTMPL WHERE NAME     =
 'zkgw.Active_Transaction_Details';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'zkgw.Active_Transaction_Details',
  'KGW',
  '0000000000000000000W00000000000008000000000',
  'D',
  'Active Transactions',
  'Default Active Transaction Details Query',
  'Tivoli',
  '1090924155639000',
'at=$THRUNODE$@table1.name=CTGTRD@table1.column1.name=SYSTEMID@table1.column2.name=CTGNAME@table1.column3.name=SERVER@table1.column4.name=CTGAPPLID@table1.column5.name=CTGAPLHLQ@table1.column6.name=CLNTCTGAPL@table1.column7.name=CLNTCTGHLQ@table1.column8.name=TRELAPSEDT@table1.column9.name=REQINTG@table1.column10.name=TOUTSIDETG@table1.column11.name=RESPINTG@table1.column12.name=CICSAC@table1.column13.name=CICSRC@table1.column14.name=CTGRC@table1.column15.name=XARC@table1.column16.name=PROGNAME@table1.column17.name=TRANID@table1.column18.name=USERID@table1.column19.name=WIRESIZE@table1.column20.name=PAYLOAD@table1.column21.name=WAITTIME@table1.column22.name=REQARR@table1.column23.name=REQDEP@table1.column24.name=RESPARR@table1.column25.name=RESPDEP@table1.column26.name=FLOWCOUNT@table1.column27.name=METHOD@table1.column28.name=TYPE@table1.column29.name=STATUS@table1.column30.name=TOPOLOGY@table1.column31.name=CLIENTLOC@table1.column32.name=MONLOC@table1.column33.name=GATEURL@table1.column34.name=CTGCORR@table1.column35.name=CLNTCTGCOR@table1.columnCount=35@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=CTGCORR@filter2.operator=EQ@filter2.value=$TRANCORR$@filterCount=2@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '0000000000000000000W00000000000008000000000',
   32,
   259,
   '1090924155639000',
   '_ KCJ',
   'zkgw.Active_Transaction_Details',
   'Active Transactions'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.Active_Transaction_Details',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.Active_Transaction_Details',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.Active_Transaction_Details',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.Active_Transaction_Details',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'zkgw.Active_Transaction_Details',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'zkgw.Active_Transaction_Details',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'zkgw.Active_Transaction_Details',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'zkgw.Active_Transaction_Details',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'zkgw.Active_Transaction_Details',
   256
);

*   File created by Helper Version 06.159
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from CTGWTS
*
* ****************************************************************  
* *  Product:            KGW                                     *  
* *  Version:            410                                     *  
* *  Report:             WORKER THREADS                          *
* *  Table:              CTGWTS                                  *  
* *  Characteristics:    Filtered on origin node.                *  
* ****************************************************************  
* IDENT=zkgw.Worker_Threads
* AFFINITY=0000000000000000000W00000000000001000000000;
* NAME=Worker Threads
* USER=Tivoli
* DESC=Default Worker Threads Query
* TABLE=KGW.CTGWTS;
* VISIBLE=N
* COLUMNS=SYSTEMID,CTGNAME,SMAX,CCURR,CALLOC,RATCURMAX,LTIMEOUTS;
* COLUMNS=RATETIMEOU,SINIT;
* * Defined columns not returned in query
* * COLUMNS=ORIGINNODE;
* PRED=ORIGINNODE = $NODE$;


DELETE FROM KFWQUERY   WHERE ID       =
 'zkgw.Worker_Threads';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'zkgw.Worker_Threads',
  'KGW',
  '0000000000000000000W00000000000001000000000',
  'P',
  'Worker Threads',
  'Default Worker Threads Query',
  'Tivoli',
  '1090924155639000',
'at=$THRUNODE$@table1.name=CTGWTS@table1.column1.name=SYSTEMID@table1.column2.name=CTGNAME@table1.column3.name=SMAX@table1.column4.name=CCURR@table1.column5.name=CALLOC@table1.column6.name=RATCURMAX@table1.column7.name=LTIMEOUTS@table1.column8.name=RATETIMEOU@table1.column9.name=SINIT@table1.columnCount=9@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCount=1@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

* *****************************************************
* Append:
* *****************************************************

UPDATE KFWQUERY SET NAME = 'Kgw:KGW200746181571075' WHERE ID = 'zkgw.CICS_Server_Details' AND APPL = 'KGW';
UPDATE KFWQUERY SET TEXT = 'Kgw:KGW200746181571076' WHERE ID = 'zkgw.CICS_Server_Details' AND APPL = 'KGW';
UPDATE KFWQUERY SET NAME = 'Kgw:KGW200746181571077' WHERE ID = 'zkgw.CICS_Server_Summary' AND APPL = 'KGW';
UPDATE KFWQUERY SET TEXT = 'Kgw:KGW200746181571078' WHERE ID = 'zkgw.CICS_Server_Summary' AND APPL = 'KGW';
UPDATE KFWQUERY SET NAME = 'Kgw:KGW200746181571079' WHERE ID = 'zkgw.Connection_Manager_Threads' AND APPL = 'KGW';
UPDATE KFWQUERY SET TEXT = 'Kgw:KGW200746181571080' WHERE ID = 'zkgw.Connection_Manager_Threads' AND APPL = 'KGW';
UPDATE KFWQUERY SET NAME = 'Kgw:KGW200746181571081' WHERE ID = 'zkgw.Region_Overview' AND APPL = 'KGW';
UPDATE KFWQUERY SET TEXT = 'Kgw:KGW200746181571082' WHERE ID = 'zkgw.Region_Overview' AND APPL = 'KGW';
UPDATE KFWQUERY SET NAME = 'Kgw:KGW200746181571083' WHERE ID = 'zkgw.Gateway_Daemon' AND APPL = 'KGW';
UPDATE KFWQUERY SET TEXT = 'Kgw:KGW200746181571084' WHERE ID = 'zkgw.Gateway_Daemon' AND APPL = 'KGW';
UPDATE KFWQUERY SET NAME = 'Kgw:KGW200746181571085' WHERE ID = 'zkgw.Worker_Threads' AND APPL = 'KGW';
UPDATE KFWQUERY SET TEXT = 'Kgw:KGW200746181571086' WHERE ID = 'zkgw.Worker_Threads' AND APPL = 'KGW';
UPDATE KFWWORKSPACELINK SET NAME = 'Kgw:KGW200746181571087' WHERE PRESENTATIONID = 'LINK~REPORT~zkgw.CICS_Server_Summary~110bb4aba60';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kgw:KGW200746181571088' WHERE PRESENTATIONID = 'LINK~REPORT~zkgw.CICS_Server_Summary~110bb4aba60';
UPDATE KFWWORKSPACELINK SET NAME = 'Kgw:KGW200746181571089' WHERE PRESENTATIONID = 'LINK~REPORT~1102fa0396d~110c0a119a3';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kgw:KGW200746181571090' WHERE PRESENTATIONID = 'LINK~REPORT~1102fa0396d~110c0a119a3';
UPDATE KFWWORKSPACELINK SET NAME = 'Kgw:KGW200746181571091' WHERE PRESENTATIONID = 'LINK~REPORT~zkgw.CICS_Server_Summary~110bb48b1d2';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kgw:KGW200746181571092' WHERE PRESENTATIONID = 'LINK~REPORT~zkgw.CICS_Server_Summary~110bb48b1d2';
UPDATE KFWWORKSPACELINK SET NAME = 'Kgw:KGW200746181571093' WHERE PRESENTATIONID = 'LINK~REPORT~1102fa0396d~110c09fe59e';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kgw:KGW200746181571094' WHERE PRESENTATIONID = 'LINK~REPORT~1102fa0396d~110c09fe59e';
UPDATE KFWWORKSPACELINK SET NAME = 'Kgw:KGW200746181571095' WHERE PRESENTATIONID = 'LINK~REPORT~zkgw.CICS_Server_Summary~110bb45b8ec';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kgw:KGW200746181571096' WHERE PRESENTATIONID = 'LINK~REPORT~zkgw.CICS_Server_Summary~110bb45b8ec';
UPDATE KFWWORKSPACELINK SET NAME = 'Kgw:KGW200746181571097' WHERE PRESENTATIONID = 'LINK~REPORT~1102fa0396d~110c09d08a6';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kgw:KGW200746181571098' WHERE PRESENTATIONID = 'LINK~REPORT~1102fa0396d~110c09d08a6';
UPDATE KFWWORKSPACELINK SET NAME = 'Kgw:KGW200746181571099' WHERE PRESENTATIONID = 'LINK~REPORT~zkgw.CICS_Server_Summary~110bb477289';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kgw:KGW200746181571100' WHERE PRESENTATIONID = 'LINK~REPORT~zkgw.CICS_Server_Summary~110bb477289';
UPDATE KFWWORKSPACELINK SET NAME = 'Kgw:KGW200746181571101' WHERE PRESENTATIONID = 'LINK~REPORT~1102fa0396d~110c09ea207';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kgw:KGW200746181571102' WHERE PRESENTATIONID = 'LINK~REPORT~1102fa0396d~110c09ea207';
UPDATE KFWWORKSPACELINK SET NAME = 'Kgw:KGW200746181571103' WHERE PRESENTATIONID = 'LINK~REPORT~zkgw.CICS_Server_Summary~110bb4db8f2';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kgw:KGW200746181571104' WHERE PRESENTATIONID = 'LINK~REPORT~zkgw.CICS_Server_Summary~110bb4db8f2';
UPDATE KFWWORKSPACELINK SET NAME = 'Kgw:KGW200746181571105' WHERE PRESENTATIONID = 'LINK~REPORT~1102fa0396d~110c0a25dc6';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kgw:KGW200746181571106' WHERE PRESENTATIONID = 'LINK~REPORT~1102fa0396d~110c0a25dc6';
UPDATE KFWWORKSPACELINK SET NAME = 'Kgw:KGW200746181571107' WHERE PRESENTATIONID = 'LINK~REPORT~1102fa0396d~110c0a41ad4';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kgw:KGW200746181571108' WHERE PRESENTATIONID = 'LINK~REPORT~1102fa0396d~110c0a41ad4';
UPDATE KFWWORKSPACELINK SET NAME = 'Kgw:KGW200746181571109' WHERE PRESENTATIONID = 'LINK~REPORT~zkgw.CICS_Server_Summary~110c0a7f9b5';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kgw:KGW200746181571110' WHERE PRESENTATIONID = 'LINK~REPORT~zkgw.CICS_Server_Summary~110c0a7f9b5';
UPDATE KFWWORKSPACELINK SET NAME = 'Kgw:KGW200746181571111' WHERE PRESENTATIONID = 'LINK~REPORT~zkgw.CICS_Server_Summary~110c53045a9';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kgw:KGW200746181571112' WHERE PRESENTATIONID = 'LINK~REPORT~zkgw.CICS_Server_Summary~110c53045a9';
UPDATE KFWWORKSPACELINK SET NAME = 'Kgw:KGW200746181571113' WHERE PRESENTATIONID = 'LINK~SUBAGENT~0000000000000000000W00000000000000000000000~110b62b520e';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kgw:KGW200746181571114' WHERE PRESENTATIONID = 'LINK~SUBAGENT~0000000000000000000W00000000000000000000000~110b62b520e';
UPDATE KFWWORKSPACELINK SET NAME = 'Kgw:KGW200746181571115' WHERE PRESENTATIONID = 'LINK~SUBAGENT~0000000000000000000W00000000000000000000000~110bae6d026';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kgw:KGW200746181571116' WHERE PRESENTATIONID = 'LINK~SUBAGENT~0000000000000000000W00000000000000000000000~110bae6d026';
UPDATE KFWWORKSPACELINK SET NAME = 'Kgw:KGW200746181571117' WHERE PRESENTATIONID = 'LINK~SUBAGENT~0000000000000000000W00000000000000000000000~110b70fa50f';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kgw:KGW200746181571118' WHERE PRESENTATIONID = 'LINK~SUBAGENT~0000000000000000000W00000000000000000000000~110b70fa50f';
UPDATE KFWWORKSPACELINK SET NAME = 'Kgw:KGW200746181571119' WHERE PRESENTATIONID = 'LINK~SUBAGENT~0000000000000000000W00000000000000000000000~110b71375f8';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kgw:KGW200746181571120' WHERE PRESENTATIONID = 'LINK~SUBAGENT~0000000000000000000W00000000000000000000000~110b71375f8';
UPDATE KFWWORKSPACELINK SET NAME = 'Kgw:KGW200746181571121' WHERE PRESENTATIONID = 'LINK~SUBAGENT~0000000000000000000W00000000000000000000000~110b70a33ce';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kgw:KGW200746181571122' WHERE PRESENTATIONID = 'LINK~SUBAGENT~0000000000000000000W00000000000000000000000~110b70a33ce';
UPDATE KFWWORKSPACELINK SET NAME = 'Kgw:KGW200775177351036' WHERE PRESENTATIONID = 'LINK~REPORT~zkgw.CICS_Server_Summary~110c53045a9';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kgw:KGW200775177351037' WHERE PRESENTATIONID = 'LINK~REPORT~zkgw.CICS_Server_Summary~110c53045a9';
UPDATE KFWQUERY SET TEXT = 'Kgw:KGW200775177351038' WHERE ID = 'zkgw.CICS_Server_Details' AND APPL = 'KGW';
UPDATE KFWWORKSPACELINK SET NAME = 'Kgw:KGW2007102161621006' WHERE PRESENTATIONID = 'LINK~AFFGROUP~CICSTG~111981309a5';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kgw:KGW2007102161621007' WHERE PRESENTATIONID = 'LINK~AFFGROUP~CICSTG~111981309a5';
UPDATE KFWWORKSPACELINK SET NAME = 'Kgw:KGW2007102161621008' WHERE PRESENTATIONID = 'LINK~AFFGROUP~CICSTG~111981fa7a4';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kgw:KGW2007102161621009' WHERE PRESENTATIONID = 'LINK~AFFGROUP~CICSTG~111981fa7a4';
UPDATE KFWWORKSPACELINK SET NAME = 'Kgw:KGW2007102161621010' WHERE PRESENTATIONID = 'LINK~AFFGROUP~CICSTG~111981813fa';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kgw:KGW2007102161621011' WHERE PRESENTATIONID = 'LINK~AFFGROUP~CICSTG~111981813fa';
UPDATE KFWWORKSPACELINK SET NAME = 'Kgw:KGW2007102161621012' WHERE PRESENTATIONID = 'LINK~AFFGROUP~CICSTG~111981b0318';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kgw:KGW2007102161621013' WHERE PRESENTATIONID = 'LINK~AFFGROUP~CICSTG~111981b0318';
UPDATE KFWWORKSPACELINK SET NAME = 'Kgw:KGW2007102161621014' WHERE PRESENTATIONID = 'LINK~AFFGROUP~CICSTG~11198151658';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kgw:KGW2007102161621015' WHERE PRESENTATIONID = 'LINK~AFFGROUP~CICSTG~11198151658';

UPDATE KFWWORKSPACE SET NAME = 'Kgw:KGW20091741636341000' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '12208f77170' AND WSGROUPID = 'zkgw.Active_Transaction_Details' AND APPLICATIONTAG = 'kgw';
UPDATE KFWWORKSPACE SET NAME = 'Kgw:KGW20091741636341001' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '12208f80294' AND WSGROUPID = 'zkgw.Active_Transaction_Details' AND APPLICATIONTAG = 'kgw';
UPDATE KFWWORKSPACE SET NAME = 'Kgw:KGW20091741636341002' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '1220904b6b7' AND WSGROUPID = 'zkgw.Client_Application_Details' AND APPLICATIONTAG = 'kgw';
UPDATE KFWWORKSPACE SET NAME = 'Kgw:KGW20091741636341003' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '12209009334' AND WSGROUPID = 'zkgw.Tran_Response_Time_Detail' AND APPLICATIONTAG = 'kgw';
UPDATE KFWQUERY SET NAME = 'Kgw:KGW20091741636341004' WHERE ID = 'zkgw.Active_Transaction_Analysis' AND APPL = 'KGW';
UPDATE KFWQUERY SET TEXT = 'Kgw:KGW20091741636341005' WHERE ID = 'zkgw.Active_Transaction_Analysis' AND APPL = 'KGW';
UPDATE KFWQUERY SET NAME = 'Kgw:KGW20091741636341006' WHERE ID = 'zkgw.Active_Transaction_Details' AND APPL = 'KGW';
UPDATE KFWQUERY SET TEXT = 'Kgw:KGW20091741636341007' WHERE ID = 'zkgw.Active_Transaction_Details' AND APPL = 'KGW';
UPDATE KFWQUERY SET NAME = 'Kgw:KGW20091741636341008' WHERE ID = 'zkgw.Destination_Servers_Details' AND APPL = 'KGW';
UPDATE KFWQUERY SET TEXT = 'Kgw:KGW20091741636341009' WHERE ID = 'zkgw.Destination_Servers_Details' AND APPL = 'KGW';
UPDATE KFWQUERY SET NAME = 'Kgw:KGW20091741636341010' WHERE ID = 'zkgw.Client_Application_Details' AND APPL = 'KGW';
UPDATE KFWQUERY SET TEXT = 'Kgw:KGW20091741636341011' WHERE ID = 'zkgw.Client_Application_Details' AND APPL = 'KGW';
UPDATE KFWQUERY SET NAME = 'Kgw:KGW20091741636341012' WHERE ID = 'zkgw.Tran_Response_Time_Detail' AND APPL = 'KGW';
UPDATE KFWQUERY SET TEXT = 'Kgw:KGW20091741636341013' WHERE ID = 'zkgw.Tran_Response_Time_Detail' AND APPL = 'KGW';
UPDATE KFWQUERY SET NAME = 'Kgw:KGW20091741636341014' WHERE ID = 'zkgw.Transaction_Flow_Trace' AND APPL = 'KGW';
UPDATE KFWQUERY SET TEXT = 'Kgw:KGW20091741636341015' WHERE ID = 'zkgw.Transaction_Flow_Trace' AND APPL = 'KGW';
UPDATE KFWQUERY SET NAME = 'Kgw:KGW20091741636341016' WHERE ID = 'zkgw.Tran_Response_Time_Summary' AND APPL = 'KGW';
UPDATE KFWQUERY SET TEXT = 'Kgw:KGW20091741636341017' WHERE ID = 'zkgw.Tran_Response_Time_Summary' AND APPL = 'KGW';
UPDATE KFWWORKSPACELINK SET NAME = 'Kgw:KGW20091741636341018' WHERE PRESENTATIONID = 'LINK~REPORT~12208f77170~122090dd8d9';
UPDATE KFWWORKSPACELINK SET DESCRIPTION = 'Kgw:KGW20091741636341019' WHERE PRESENTATIONID = 'LINK~REPORT~12208f77170~122090dd8d9';

UPDATE KFWWORKSPACE SET NAME = 'Kgw:KGW20092651651301000' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '12208f80294' AND WSGROUPID = 'zkgw.Active_Transaction_Details' AND APPLICATIONTAG = 'kgw';
UPDATE KFWQUERY SET TEXT = 'Kgw:KGW20092651651301001' WHERE ID = 'zkgw.CICS_Server_Summary' AND APPL = 'KGW';
UPDATE KFWQUERY SET TEXT = 'Kgw:KGW20092651651301002' WHERE ID = 'zkgw.Region_Overview' AND APPL = 'KGW';
UPDATE KFWQUERY SET TEXT = 'Kgw:KGW20092651651301003' WHERE ID = 'zkgw.Gateway_Daemon' AND APPL = 'KGW';
UPDATE KFWQUERY SET TEXT = 'Kgw:KGW20092651651301004' WHERE ID = 'zkgw.Destination_Servers_Details' AND APPL = 'KGW';
UPDATE KFWQUERY SET TEXT = 'Kgw:KGW20092651651301005' WHERE ID = 'zkgw.Client_Application_Details' AND APPL = 'KGW';
UPDATE KFWQUERY SET TEXT = 'Kgw:KGW20092651651301006' WHERE ID = 'zkgw.Transaction_Flow_Trace' AND APPL = 'KGW';

UPDATE KFWWORKSPACE SET NAME = 'Kgw:KGW20092671647421000' WHERE OBJECTTYPE = 'REPORT' AND OBJECTID = '12208f80294' AND WSGROUPID = 'zkgw.Active_Transaction_Details' AND APPLICATIONTAG = 'kgw';
UPDATE KFWQUERY SET TEXT = 'Kgw:KGW20092671647421001' WHERE ID = 'zkgw.Region_Overview' AND APPL = 'KGW';
UPDATE KFWQUERY SET TEXT = 'Kgw:KGW20092671647421002' WHERE ID = 'zkgw.Active_Transaction_Analysis' AND APPL = 'KGW';
UPDATE KFWQUERY SET TEXT = 'Kgw:KGW20092671647421003' WHERE ID = 'zkgw.Active_Transaction_Details' AND APPL = 'KGW';
UPDATE KFWQUERY SET TEXT = 'Kgw:KGW20092671647421004' WHERE ID = 'zkgw.Transaction_Flow_Trace' AND APPL = 'KGW';
