*   File created by Helper Version 02.075
*
*   Data generated for V180 CandleNet Portal
*
*   Input Data from kwoAll.dat
*
* ****************************************************************
* *  Product:            KWO                                     *
* *  Version:            300                                     *
* *  Report:             Warning and Critical Basic Status Items *
* *  Table:              MV.SDITABLE                             *
* *  Characteristics:    Query of all MV sessions                *
* ****************************************************************
* IDENT=KWOAll;
* AFFINITY=W000000000000000000000000000000000000000000;
* NAME=Warning and Critical All Omegaviews
* USER=KWO_300
* DESC=Warning and Critical All Omegaviews
* NODETYPE=KWOSDI;
* VISIBLE=N;
* *
* TABLE=MV.SDITABLE;
* COLUMNS=ORIGINNODE,SDICSTAT,SDISESNM,SDISTANM,SDITYPE;
* COLUMNS=SDIDESC,SDITTEXT,SDIADESC,SDICOMNT,SDIPDESC,SDIUTEXT;
* COLUMNS=SDISTOD,SDIUTOD,SDIETOD;
* *
* PRED=SDICSTAT = CRITICAL;
* PRED=AND SDITYPE <> ROLLUP;
* PRED=OR SDICSTAT = WARNING;
* PRED=AND SDITYPE <> ROLLUP;
* *
* PARMS='NODELIST','*ALL',4;
* *
* ORDER=SDICSTAT,SDISESNM,SDISTANM;


DELETE FROM KFWQUERY   WHERE ID       =
 "KWOAll";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES
( "KWOAll",
  "MV",
  "W000000000000000000000000000000000000000000",
  "P",
  "Warning and Critical All Omegaviews",
  "Warning and Critical All Omegaviews",
  "KWO_300",
  "1020613132522000",
"at=$THRUNODE$@table1.name=SDITABLE@table1.column1.name=ORIGINNODE@table
1.column2.name=SDICSTAT@table1.column3.name=SDISESNM@table1.column4.name
=SDISTANM@table1.column5.name=SDITYPE@table1.column6.name=SDIDESC@table1
.column7.name=SDITTEXT@table1.column8.name=SDIADESC@table1.column9.name=
SDICOMNT@table1.column10.name=SDIPDESC@table1.column11.name=SDIUTEXT@tab
le1.column12.name=SDISTOD@table1.column13.name=SDIUTOD@table1.column14.n
ame=SDIETOD@table1.columnCount=14@tableCount=1@filter1.connector=AND@fil
ter1.column=SDICSTAT@filter1.operator=EQ@filter1.value=CRITICAL@filter2.
connector=AND@filter2.column=SDITYPE@filter2.operator=NE@filter2.value=R
OLLUP@filter3.connector=OR@filter3.column=SDICSTAT@filter3.operator=EQ@f
ilter3.value=WARNING@filter4.connector=AND@filter4.column=SDITYPE@filter
4.operator=NE@filter4.value=ROLLUP@filterCount=4@order1.column=SDICSTAT@
order1.sequence=ASCENDING@order2.column=SDISESNM@order2.sequence=ASCENDI
NG@order3.column=SDISTANM@order3.sequence=ASCENDING@orderCount=3@parma1.
value='NODELIST','*ALL',4@parmaCount=1@nodeTypeCount=1@nodeType1=KWOSDI@
property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@histo
ry=F@");
*   File created by Helper Version 02.075
*
*   Data generated for V180 CandleNet Portal
*
*   Input Data from kwo00.dat
*
* ****************************************************************
* *  Product:            KWO                                     *
* *  Version:            300                                     *
* *  Report:             Warning and Critical Basic Status Items *
* *  Table:              MV.SDITABLE                             *
* *  Characteristics:    Query of all MV sessions                *
* ****************************************************************
* IDENT=KWO00;
* AFFINITY=W000000000000000000000000000000000000000000;
* NAME=Warning and Critical Basic Status Items
* USER=KWO_300
* DESC=Warning and Critical Basic Status Items
* NODETYPE=KWOSDI;
* VISIBLE=N;
* *
* TABLE=MV.SDITABLE;
* COLUMNS=ORIGINNODE,SDICSTAT,SDISESNM,SDISTANM,SDITYPE;
* COLUMNS=SDIDESC,SDITTEXT,SDIADESC,SDICOMNT,SDIPDESC,SDIUTEXT;
* COLUMNS=SDISTOD,SDIUTOD,SDIETOD;
* *
* PRED=AND SDICSTAT = CRITICAL;
* PRED=AND SDITYPE <> ROLLUP;
* PRED=OR SDICSTAT = WARNING;
* PRED=AND SDITYPE <> ROLLUP;
* *
* PARMS='NODELIST','$NODE$                                ',32;
* *
* ORDER=SDICSTAT,SDISESNM,SDISTANM;


DELETE FROM KFWQUERY   WHERE ID       =
 "KWO00";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES
( "KWO00",
  "MV",
  "W000000000000000000000000000000000000000000",
  "P",
  "Warning and Critical Basic Status Items",
  "Warning and Critical Basic Status Items",
  "KWO_300",
  "1020613132522000",
"at=$THRUNODE$@table1.name=SDITABLE@table1.column1.name=ORIGINNODE@table
1.column2.name=SDICSTAT@table1.column3.name=SDISESNM@table1.column4.name
=SDISTANM@table1.column5.name=SDITYPE@table1.column6.name=SDIDESC@table1
.column7.name=SDITTEXT@table1.column8.name=SDIADESC@table1.column9.name=
SDICOMNT@table1.column10.name=SDIPDESC@table1.column11.name=SDIUTEXT@tab
le1.column12.name=SDISTOD@table1.column13.name=SDIUTOD@table1.column14.n
ame=SDIETOD@table1.columnCount=14@tableCount=1@filter1.connector=AND@fil
ter1.column=SDICSTAT@filter1.operator=EQ@filter1.value=CRITICAL@filter2.
connector=AND@filter2.column=SDITYPE@filter2.operator=NE@filter2.value=R
OLLUP@filter3.connector=OR@filter3.column=SDICSTAT@filter3.operator=EQ@f
ilter3.value=WARNING@filter4.connector=AND@filter4.column=SDITYPE@filter
4.operator=NE@filter4.value=ROLLUP@filterCount=4@order1.column=SDICSTAT@
order1.sequence=ASCENDING@order2.column=SDISESNM@order2.sequence=ASCENDI
NG@order3.column=SDISTANM@order3.sequence=ASCENDING@orderCount=3@parma1.
value='NODELIST','$NODE$                                ',32@parmaCount=
1@nodeTypeCount=1@nodeType1=KWOSDI@property1.name=-1021A@property1.value
=kfw.TableRow@propertyCount=1@history=F@");
*   File created by Helper Version 02.075
*
*   Data generated for V180 CandleNet Portal
*
*   Input Data from kwo01.dat
*
* ****************************************************************
* *  Product:            KWO                                     *
* *  Version:            300                                     *
* *  Report:             All Status Items                        *
* *  Table:              MV.SDITABLE                             *
* *  Characteristics:    Query of all MV sessions                *
* ****************************************************************
* IDENT=KWO01;
* AFFINITY=W000000000000000000000000000000000000000000;
* NAME=All Status Items
* USER=KWO_300
* DESC=All Status Items
* NODETYPE=KWOSDI;
* VISIBLE=N;
* *
* TABLE=MV.SDITABLE;
* COLUMNS=SDICSTAT,SDISESNM,SDISTANM,SDITYPE;
* COLUMNS=SDIDESC,SDITTEXT,SDIADESC,SDICOMNT,SDIPDESC,SDIUTEXT;
* COLUMNS=SDISTOD,SDIUTOD,SDIETOD;
* *
* PRED=ORIGINNODE = $NODE$;
* ORDER=SDISESNM,SDISTANM;


DELETE FROM KFWQUERY   WHERE ID       =
 "KWO01";


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES
( "KWO01",
  "MV",
  "W000000000000000000000000000000000000000000",
  "P",
  "All Status Items",
  "All Status Items",
  "KWO_300",
  "1020613132522000",
"at=$THRUNODE$@table1.name=SDITABLE@table1.column1.name=SDICSTAT@table1.
column2.name=SDISESNM@table1.column3.name=SDISTANM@table1.column4.name=S
DITYPE@table1.column5.name=SDIDESC@table1.column6.name=SDITTEXT@table1.c
olumn7.name=SDIADESC@table1.column8.name=SDICOMNT@table1.column9.name=SD
IPDESC@table1.column10.name=SDIUTEXT@table1.column11.name=SDISTOD@table1
.column12.name=SDIUTOD@table1.column13.name=SDIETOD@table1.columnCount=1
3@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.o
perator=EQ@filter1.value=$NODE$@filterCount=1@order1.column=SDISESNM@ord
er1.sequence=ASCENDING@order2.column=SDISTANM@order2.sequence=ASCENDING@
orderCount=2@nodeTypeCount=1@nodeType1=KWOSDI@property1.name=-1021A@prop
erty1.value=kfw.TableRow@propertyCount=1@history=F@");
